#!/usr/bin/env python
#coding:utf8

'''

This module implements a Remote Procedure Call system using socket objects as
transport. The main feature of this RPC is to be bidirectionnal: both client and
server can serve remote procedure for its peer.

The library is separated into four parts:

 * core library contains all common classes.
 * server library contains all the server side related stuff.
 * client library contains all the client side related stuff.
 * utils library contains some helpers used in previous libraries.

'''

import sjrpc.core
import sjrpc.server
import sjrpc.client
import sjrpc.utils

__version__ = 8
